---
import Footer from "../components/Footer.astro";
import Header from "../components/Header.astro";

const { title } = Astro.props;
// const utm_source = Astro.url.searchParams.get("utm_source")
// const search = Astro.url.searchParams.get('search')
// console.log(utm_source,"utm_source");
---

<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="robot" content="noindex" />
        <meta name="title" id="title" content="" />
        <meta name="description" id="description" content="" />
        <meta name="keywords" id="keywords" content="" />
        <meta name="viewport" content="width=device-width" />
        <title id="tempTitle">{title}</title>
        <link
            rel="icon"
            type="image/svg+xml"
            href="/assets/images/favicon.ico"
        />
        <link rel="stylesheet" href="/styles/css/home.css" />
        <link rel="stylesheet" href="/styles/css/bootstrap.min.css" />
        <meta name="generator" content={Astro.generator} />
        <script
            src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"
        ></script>
        <script
            is:inline
            src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"
        ></script>
        <script>
            window.onload = getData;
            async function getData() {
                var inputTitle =
                    document.getElementById("tempTitle")!.innerText;
                if (
                    inputTitle != "" &&
                    inputTitle != undefined &&
                    inputTitle != null
                ) {
                    const response = await fetch(
                        `${import.meta.env.PUBLIC_STRAPI_URL}`,
                        {
                            method: "POST",
                            headers: { "Content-Type": "application/json" },
                            body: JSON.stringify({
                                query: `
                                    query{
                                        ${inputTitle}{
                                            data{
                                                attributes{
                                                    meta_title
                                                    meta_description
                                                    meta_keywords
                                                }
                                            }
                                        }
                                    }
                                `,
                            }),
                        },
                    );
                    const data = await response.json();
                    if (
                        data &&
                        data.data &&
                        data.data[inputTitle] &&
                        data.data[inputTitle].data &&
                        data.data[inputTitle].data.attributes
                    ) {
                        console.log(
                            data.data[inputTitle].data.attributes.meta_title,
                            "datacheck",
                        );
                        var titleData = document.getElementById("title");
                        var description =
                            document.getElementById("description");
                        var keywords = document.getElementById("keywords");
                        titleData?.setAttribute(
                            "content",
                            data.data[inputTitle].data.attributes.meta_title,
                        );
                        description?.setAttribute(
                            "content",
                            data.data[inputTitle].data.attributes
                                .meta_description,
                        );
                        keywords?.setAttribute(
                            "content",
                            data.data[inputTitle].data.attributes.meta_keywords,
                        );
                    }
                }
            }
        </script>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.theme.default.min.css">
    </head>
    <body>
        <Header />
        <slot />
        <Footer />
    </body>
    <script
        is:inline
        src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"
    ></script>
    <script is:inline>
        $(document).ready(function () {
            $("#my-carousel").owlCarousel({
                loop: true,
                margin: 10,
                nav: true,
                items: 1,
                autoplay: true,
                autoplayTimeout: 5000,
                autoplayHoverPause: true,
            });
        });
    </script>
</html>
